<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="/images/favicon.ico">

    <title>Agent Console</title>

    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500&display=swap" rel="stylesheet">

    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">


    <!-- Custom styles for this template -->
    <link href="/stylesheets/conversations.css" rel="stylesheet">
    <!-- <script src="/socket.io/socket.io.js"></script> -->

</head>

<body>
  
    <div class="mainContainer" style="width: 100%; height: 100%;" id="app">
        <div class="agent-header">
            <h2>Agent Console</h2>
        </div>
        <!-- <div id="messenger-region">
            <div id="messenger-layout" class="messenger-layout">
                <section class="container animate" style="transform: initial;">
                    <div class="layout-container">
                        <div class="main-content">
                            <div class="left sidebar" id="conversations-contacts-region">
                                <div class="inbox">
                                    <div class="sidebar__navbar nav-bar">
                                        <h2 class="title">Conversations</h2>
                                    </div>
                                    <div class="search-box-wrap" style="padding: 10px;">
                                        <input type="text" name="search" placeholder="Search..">
                                    </div>
                                    <div class="regions-wrapper">
                                        <section id="conversations-container-region" class="conversations-container scrollview region" style="display: block;">
                                            <ul id="conversations-list" class="conversations flex animate">

                                            </ul>
                                        </section>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
            </div>
        </div> -->

        <div class="conversations-container" style="height: 100%;">
            <div class="row" style="height: 100%;">
                <div class="col-4">
                    <div>
                        <h2 class="heading-1">Conversations</h2>
                    </div>
                    <div style="padding: 10px;">
                        <input type="text" name="search" placeholder="Search..">
                    </div>
                    <div class="list-users" style="height: 50%;">
                        <div class="row">
                            <h4 class="heading-2" style="padding-left:25px">Live Conversations</h4>
                        </div>
                        <div>
                            <table class="table table-hover">
                                <tbody>
                                    <tr>
                                        <td>
                                            <div class="avatar default">
                                                <span>RI</span>
                                            </div>
                                        </td>
                                        <td>
                                            <div>
                                                <h5>Richard</h5>
                                                <p>
                                                    <span>March 25 2020 8am PST</span>
                                                    <span>California USA</span>
                                                </p>
                                            </div>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="list-users" style="height: 50%;">
                        <div class="row">
                            <h4 class="heading-2" style="padding-left:25px">New Request</h4>
                        </div>
                        <div>
                            <table class="table table-hover">
                                <tbody>
                                    <tr>
                                        <td>
                                            <div class="avatar default">
                                                <span>RI</span>
                                            </div>
                                        </td>
                                        <td>
                                            <div>
                                                <h5>Richard</h5>
                                                <p>
                                                    <span>March 25 2020 8am PST</span>
                                                    <span>California USA</span>
                                                </p>
                                            </div>
                                        </td>
                                        <td>
                                            <button class="agent-button">Accept</button>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <div class="col-8" style="border-left:1px solid #ccc;">
                    <div class="row" style="border-bottom: 1px solid #ccc;">
                        <div class="col-8">
                            <div class="image">
                                <div class="avatar default">
                                    <span>RI</span>
                                </div>
                            </div>
                            <div class="text">
                                <h5>Richard</h5>
                                <p>March 25 2020 8AM PST California USA</p>
                            </div>
                        </div>
                        <div class="col-2">
                            <button class="agent-button">Close</button>
                        </div>
                    </div>
                    <div style="height: 75%; background-color: #e8eff3;">

                    </div>
                    <div style="height: 10%;">

                        <div class="row">
                            <input type="text" style="width: 95%; margin-left: 1%;">
                        </div>

                    </div>
                </div>
            </div>
        </div>

        <!-- <div class="main-content">
            <div class="sidebar">
                <div class="inbox">
                    <div class="sidebar-navbar">
                        <h2 class="heading-1">Conversations</h2>
                    </div>
                    <div style="padding: 10px;">
                        <input type="text" name="search" placeholder="Search..">
                    </div>
                    <div class="list-users">
                        <div class="row">
                            <h4 class="heading-2">Live Conversations</h4>
                        </div>
                        <div>
                            <table class="listing-table">
                                <tbody>
                                    <tr>
                                        <td style="width: 20%;">
                                            <div class="avatar default">
                                                <span>RI</span>
                                            </div>
                                        </td>
                                        <td>
                                            <div>
                                                <h5>Richard</h5>
                                                <p>March 25 2020 8am PST California USA</p>
                                            </div>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 20%;">
                                            <div class="avatar default">
                                                <span>RI</span>
                                            </div>
                                        </td>
                                        <td>
                                            <div>
                                                <h5>Richard</h5>
                                                <p>March 25 2020 8am PST California USA</p>
                                            </div>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>

                    </div>
                </div>
            </div>
        </div> -->
        <!-- <div class="conv-details-div" style="width:80%; height: 100%; float: left;">
            <div>

            </div>
            <div>

            </div>
        </div> -->e
    </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/3.1.1/socket.io.js"></script>
    <script>
        // var socket = io('https://63efb6850a23.ngrok.io:3030');
        // var socket = io.connect('wss://63efb6850a23.ngrok.io:3030', {transports:['websocket']});
        var socket = io.connect('wss://2a40d6407943.ngrok.io', { transports: ['websocket'] });
        // socket.emit('message', { 'data': 'hello there' });

        let vue = new Vue({
            el: '#app',
            data: {
                newMessage: null,
                messages: [],
                conversations_list: [],
                messages_requests: [],
                typing: false,
                username: null,
                ready: false,
                info: [],
                connections: 0,
            },

            created() {
                // window.onbeforeunload = () => {
                //     socket.emit('leave', this.username);
                // }

                socket.on('message', (data) => {
                    this.messages.push({
                        message: data.message,
                        account: data.account,
                        conversation_uuid: data.conversation_uuid,
                        liveagentToken: data.liveagentToken
                    });

                    this.conversations_list.push({
                        username: data.username,
                        userId: data.userId
                    });
                });

                // --> 

                // socket.on('message', (data) => {
                //     this.messages.push({
                //         message: data.message,
                //         account: data.account,
                //         conversation_uuid: data.conversation_uuid,
                //         liveagentToken: data.liveagentToken
                //     });
                // });

                socket.on('chat_request', (data) => {
                    console.log("Chat Request Data", data);
                    this.messages_requests.push({
                        account: data.account,
                        conversation_uuid: data.conversation_uuid,
                        liveagentToken: data.liveagentToken
                    });
                });

                socket.on('connections', (data) => {
                    this.connections = data;
                });
            },
            watch: {
                newMessage(value) {
                    value ? socket.emit('typing', this.username) : socket.emit('stopTyping')
                }
            },
            methods: {
                // send() {
                //     socket.emit('chat_message', {
                //         message: this.newMessage,
                //         user: this.username,
                //         conversation_uuid: this.conversation_uuid,
                //         conversation_id: this.conversation_id
                //     });
                // },

                // post_message: function () {
                //     fetch(`/api/conversations/${this.convoId}/postMessage`, {
                //         method: 'POST',
                //         headers: {
                //             'Content-Type': 'application/json',
                //             'Access-Token': `${this.accessToken}`
                //         }
                //     }).then((res) => {
                //         //message push in the list 1
                //         socket.emit('chat_message', {
                //             message: this.newMessage,
                //             user: this.username,
                //             conversation_uuid: this.conversation_uuid,
                //             conversation_id: this.conversation_id
                //         });
                //         return res.json();
                //     })
                // },

                // acceptChat: function () {
                //     fetch(`/api/conversations/${this.convoId}/acceptChat`, {
                //         method: 'POST',
                //         headers: {
                //             'Content-Type': 'application/json'
                //         }
                //     }).then((res) => {
                //         //message push in the list 1
                //         socket.emit('chat_request_accept', {
                //             message: this.newMessage,
                //             user: this.username
                //         });
                //         return res.json();
                //     })
                // },

                // listOfChatRequest: function () {
                //     fetch(`/api/conversations/${this.accountId}/list`, {
                //         method: 'POST',
                //         headers: {
                //             'Content-Type': 'application/json'
                //         }
                //     }).then((res) => {
                //         //message push in the list 2
                //         return res.json();
                //     })
                // },

                // endChat: function () {
                //     fetch(`/api/conversations/${this.convoId}/endChat`, {
                //         method: 'POST',
                //         headers: {
                //             'Content-Type': 'application/json'
                //         }
                //     }).then((res) => {
                //         //message push in the list 2
                //         return res.json();
                //     })
                // }
            },

        });

    </script>

</body>

</html>